#ifndef _LINUX_UTSNAME_H
#define _LINUX_UTSNAME_H

#define __OLD_UTS_LEN 8

struct oldold_utsname {
	char (NT sysname)[9];
	char (NT nodename)[9];
	char (NT release)[9];
	char (NT version)[9];
	char (NT machine)[9];
};

#define __NEW_UTS_LEN 64

struct old_utsname {
	char (NT sysname)[65];
	char (NT nodename)[65];
	char (NT release)[65];
	char (NT version)[65];
	char (NT machine)[65];
};

struct new_utsname {
	char (NT sysname)[65];
	char (NT nodename)[65];
	char (NT release)[65];
	char (NT version)[65];
	char (NT machine)[65];
	char (NT domainname)[65];
};

extern struct new_utsname system_utsname;

extern struct rw_semaphore uts_sem;
#endif
